
// Copyright 1994 by Steve Saxon

#ifndef __BITMAP_CONTROL_H
#define __BITMAP_CONTROL_H

class OWLXEXPORT TBitmapControl : public TControl
{
public:
	enum Style { NoBorder, Plain, Recessed, Raised } style;

	TBitmapControl (TWindow* parent, int resourceID, Style style = Recessed, TModule* module = NULL);
	TBitmapControl (TWindow* parent, int resourceID , TBitmap * bm , Style style = Recessed, TModule* module = NULL);
	~TBitmapControl ();

	void			SetupWindow ();
	void			Paint (TDC& dc, BOOL bErase, TRect& rc);

protected:

	TBitmap*		bitmap;
    TRect           bmRect;

    virtual void    paintBitmap ( TDC & dc , TRect & client );
};

#endif
