// *------------------------------------------------------------------------*
// |                                                                        |
// | TDIBCTL.HPP                                                            |
// |                                                                        |
// *------------------------------------------------------------------------*

#ifndef _TDIBCTL_HPP_

#define _TDIBCTL_HPP_

#ifndef __cplusplus
#error TDIBCTL.HPP requires a C++ Compiler
#endif


// --------------------------------------------------------------------------
// Necessary include files
// --------------------------------------------------------------------------


// --------------------------------------------------------------------------
// Definitions
// --------------------------------------------------------------------------


// --------------------------------------------------------------------------
// Class Definitions
// --------------------------------------------------------------------------

class OWLXEXPORT TDIBControl : public TBitmapControl
{
public:

// --------------------------------------------------------------------------
// CTORs / DTORs
// --------------------------------------------------------------------------
	TDIBControl (TWindow* parent, int resourceID, Style style = Recessed, TModule* module = NULL);
	TDIBControl (TWindow* parent, int resourceID , TDib * _dib, Style style = Recessed, TModule* module = NULL);
	virtual ~TDIBControl ( void );

	virtual void			SetupWindow ();

protected:

    virtual void    paintBitmap ( TDC &dc , TRect & client );

private:

	TDib* dib;
    TPalette *palette;

};


// --------------------------------------------------------------------------
// Inline Definitions
// --------------------------------------------------------------------------


#endif // _TDIBCTL_HPP_





